toolzerhub API Docs

Search flights (v1)

Get flights for a route and dates with total price, segments, layovers, emissions and price insights. Round trips return outbound flights; pass a departure_token to get their return flights.

1 credit / requestBilled only on success
GET
/v1/google-flights/search

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

origin?string

Departure airport IATA code, or several comma separated.

destination?string

Arrival airport IATA code, or several comma separated.

departure_date?string

Outbound date.

Match^\d{4}-\d{2}-\d{2}$
return_date?string

Return date. Makes the search a round trip: results are outbound flights with round-trip prices, each with a departure_token.

Match^\d{4}-\d{2}-\d{2}$
departure_token?string

departure_token of a round-trip outbound flight. Returns the return flights for it; the route and date inputs are then ignored.

Lengthlength <= 8000
adults?integer
Range1 <= value <= 9
Default1
children?|
Range0 <= value <= 8
Default0
infants_in_seat?|
Range0 <= value <= 8
Default0
infants_on_lap?|

At most one per adult.

Range0 <= value <= 8
Default0
cabin?string
Default"economy"

Value in

  • "economy"
  • "premium_economy"
  • "business"
  • "first"
stops?string

Most stops allowed: one_stop means one stop or fewer, two_stops two or fewer.

Default"any"

Value in

  • "any"
  • "nonstop"
  • "one_stop"
  • "two_stops"
currency?string

ISO 4217 currency for prices.

Match^[A-Za-z]{3}$
Default"USD"
curl -X GET "https://example.com/v1/google-flights/search" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "currency": "string",    "best_flights": [      {        "airlines": [          "string"        ],        "departure_airport": "JFK",        "arrival_airport": "LAX",        "departure_time": "string",        "arrival_time": "string",        "duration_minutes": 0,        "stops": 0,        "price": 179,        "segments": [          {            "departure_airport": {              "code": "JFK",              "name": "John F. Kennedy International Airport"            },            "arrival_airport": {              "code": "JFK",              "name": "John F. Kennedy International Airport"            },            "departure_time": "2026-12-10T12:00",            "arrival_time": "2026-12-10T15:04",            "duration_minutes": 0,            "airline": "Delta",            "airline_code": "DL",            "flight_number": "DL 1788",            "aircraft": "Airbus A330",            "legroom": "31 in",            "emissions_grams": 0          }        ],        "layovers": [          {            "airport": {              "code": "JFK",              "name": "John F. Kennedy International Airport"            },            "city": "string",            "duration_minutes": 0          }        ],        "emissions": {          "grams": 0,          "typical_for_route_grams": 0,          "difference_percent": -23        },        "departure_token": "string",        "booking_token": "string"      }    ],    "other_flights": [      {        "airlines": [          "string"        ],        "departure_airport": "JFK",        "arrival_airport": "LAX",        "departure_time": "string",        "arrival_time": "string",        "duration_minutes": 0,        "stops": 0,        "price": 179,        "segments": [          {            "departure_airport": {              "code": "JFK",              "name": "John F. Kennedy International Airport"            },            "arrival_airport": {              "code": "JFK",              "name": "John F. Kennedy International Airport"            },            "departure_time": "2026-12-10T12:00",            "arrival_time": "2026-12-10T15:04",            "duration_minutes": 0,            "airline": "Delta",            "airline_code": "DL",            "flight_number": "DL 1788",            "aircraft": "Airbus A330",            "legroom": "31 in",            "emissions_grams": 0          }        ],        "layovers": [          {            "airport": {              "code": "JFK",              "name": "John F. Kennedy International Airport"            },            "city": "string",            "duration_minutes": 0          }        ],        "emissions": {          "grams": 0,          "typical_for_route_grams": 0,          "difference_percent": -23        },        "departure_token": "string",        "booking_token": "string"      }    ],    "price_insights": {      "lowest_price": 0,      "typical_price_range": [        90,        320      ],      "price_history": [        {          "date": "string",          "price": 0        }      ]    }  },  "details": {    "reason": "string",    "message": "string"  }}